'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/achieve/';
  const vision = 'v0';
  const target = 'achieveExpert';
  router.get(target, `${profix}${vision}/${target}/getExpertList`, controller[target].getExpertList);
  router.post(target, `${profix}${vision}/${target}/login`, controller[target].login);
  router.post(target, `${profix}${vision}/${target}/restore/:id`, controller[target].restore);
  router.resources(target, `${profix}${vision}/${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${target}/update/:id`, controller[target].update);
};
