'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/achieve/';
  const vision = 'v0';
  const target = 'achieveVerifyRecord';
  router.resources(target, `${profix}${vision}/${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${target}/update/:id`, controller[target].update);
};
