'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/achieve/';
  const vision = 'v0';
  const target = 'achieveApply';
  router.get(target, `${profix}${vision}/${target}/remind/:user_id`, controller[target].menuRemind);
  router.get(target, `${profix}${vision}/${target}/get`, controller[target].getOne);
  router.post(target, `${profix}${vision}/${target}/:id/research`, controller[target].researchCreate);
  router.post(target, `${profix}${vision}/${target}/:id/research/:research_id`, controller[target].researchUpdate);
  router.delete(target, `${profix}${vision}/${target}/:id/research/:research_id`, controller[target].researchDelete);
  router.resources(target, `${profix}${vision}/${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${target}/update/:id`, controller[target].update);
};
