'use strict';

module.exports = () => {
  const config = exports = {};

  config.logger = {
    level: 'INFO',
    consoleLevel: 'INFO',
  };
  config.dbName = 'new-platform';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };
  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };
  config.export = {
    root_path: 'D:\\workspace\\service\\service-file\\upload\\',
  };
  return config;
};
